# class Puppet::ModuleTool::Errors::PermissionDeniedCreateInstallDirectoryError

### Public Class Methods

new(original, options) click to toggle source
Calls superclass method Puppet::Error.new

    # File lib/puppet/module_tool/errors/installer.rb, line 94
    def initialize(original, options)
      @requested_module  = options[:requested_module]
      @requested_version = options[:requested_version]
      @directory         = options[:directory]
      super("'#{@requested_module}' (#{@requested_version}) requested; Permission is denied to create #{@directory}.", original)
    end

### Public Instance Methods

multiline() click to toggle source

    # File lib/puppet/module_tool/errors/installer.rb, line 101
        def multiline
          "Could not install module '#{@requested_module}' (#{@requested_version})
      Permission is denied when trying to create directory '#{@directory}'.
      A potential solution is to check the ownership and permissions of
      parent directories.
    ".strip
        end